<?php $auteur = $_GET['auteur']?>

<head>
  <title>Envoyer une image</title>
  <meta name="GENERATOR" content="Quanta Plus">
  <meta name="AUTHOR" content="Jonas Fourquier">
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <style type="text/css">
	@import "style.css";
  </style>
  <link rel="icon" type="image/png" href="icone.png" />
</head>
<body>

<h2>Dossier dynamique</h2>


<p>Il est possible de faire des dossiers qui changent de nom en fonction du jour,
 de l'utilisateur ou en insérant des fonctions php.</p>


<h3>Utilisation des variables préformatées</h3>
<ul>
	<li><code>$auteur</code> affiche l'id de l'utilisateur (ex: "<code><?php echo $auteur?></code>")</li>
	<li><code>$date_jour</code> affiche la date au jours près (ex: "<code><?php echo date("Y-m-d");?>"</code>)</li>
	<li><code>$date_mois</code> affiche la date au mois près (ex: "<code><?php echo date("Y-m");?>"</code>)</li>
	<li><code>$date_annee</code> affiche la date à l'année près (ex: "<code><?php echo date("Y");?>"</code>)</li>
</ul>
<p><b>Exemple:</b> le code "<code>images/auteur_$auteur/$date_jours</code>"<br>
crée le dossier "<code><?php echo "/images/auteur_$auteur/".date("Y-m-d")?></code>"</p>


<h3>Utilisation de fonctions php</h3>

<p>Cette fonctionnalité est réservée aux utilisateurs avertis. Une faute de code 
et c'est tous le plugin qui ne fonctionne plus (y compris la page de configuration).<p>

<p>Il faut insérer la fonction entre <code>".</code> et <code>."</code>.</p>

<p><b>Exemples :</b></p>
<pre>images/le_".date("l_j_F_\a_H-i-s")."</pre>
<p>mettra les images dans</p>
<pre><?php echo '/images/le_'.date("l_j_F_\a_H-i-s")?></pre>
</li>
</ul>

<p align="center"><a href="#" onclick="window.close(); return; false">[fermer]</a></p>